Bug 1077791 - Review Request: copr-backend - Backend for Copr
Summary: Review Request: copr-backend - Backend for Copr
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Antonio T. (sagitter)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-18 15:05 UTC by Miroslav Suchý
Modified: 2014-04-24 07:40 UTC (History)
3 users (show)

Fixed In Version: copr-backend-1.32-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-24 07:31:30 UTC
Type: ---
anto.trande: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Miroslav Suchý 2014-03-18 15:05:01 UTC
Spec URL: http://miroslav.suchy.cz/copr/copr-backend.spec
SRPM URL: http://miroslav.suchy.cz/copr/copr-backend-1.30-1.fc20.src.rpm
Description: 
COPR is lightweight build system. It allows you to create new project in WebUI,
and submit new builds and COPR will create yum repository from latest builds.
This package contains backend.

Fedora Account System Username: msuchy

Comment 1 Antonio T. (sagitter) 2014-03-21 18:28:57 UTC
Documentation build fails in rawhide:

+ make -j2 python
mkdir -p build/py-doc-build
echo "[epydoc]" > build/epydoc.lst
echo -n "modules: " >> build/epydoc.lst
find ../ -type f -name '*.py' | grep -v test | xargs echo -n >> build/epydoc.lst
`which epydoc` --inheritance listed --graph all --html -o python-doc --config build/epydoc.lst
+---------------------------------------------------------------------
| In ../copr-be.py:
| Import failed (but source code parsing was successful).
|     Error: ImportError: No module named backend (line 4)
|   
  [....
+---------------------------------------------------------------------
| In /builddir/build/BUILD/copr-backend-1.30/backend/actions.py:
| Import failed (but source code parsing was successful).
|     Error: ImportError: No module named bunch (line 1)
|   
  [.........
+---------------------------------------------------------------------
| In /builddir/build/BUILD/copr-backend-1.30/backend/dispatcher.py:
| Import failed (but source code parsing was successful).
|     Error: ImportError: No module named ansible (line 11)
|   
  [...........
+---------------------------------------------------------------------
| In /builddir/build/BUILD/copr-backend-1.30/backend/mockremote.py:
| Import failed (but source code parsing was successful).
|     Error: ImportError: No module named ansible.runner (line 39)
|   
  [....................
Warning: No information available for 
         backend.dispatcher.SilentPlaybookCallbacks's base 
         ansible.callbacks.PlaybookCallbacks
  [....................
Warning: No information available for backend.dispatcher.Worker's base
         multiprocessing.Process
  [....................
Warning: No information available for script-copr_be_py.CoprJobGrab's 
         base multiprocessing.Process
  [....................
Warning: No information available for script-copr_be_py.CoprLog's base
         multiprocessing.Process
  [................................
Warning: No information available for 
         backend.dispatcher.SilentPlaybookCallbacks's base 
         ansible.callbacks.PlaybookCallbacks
  [................................
Warning: No information available for backend.dispatcher.Worker's base
         multiprocessing.Process
  [................................
Warning: No information available for script-copr_be_py.CoprJobGrab's 
         base multiprocessing.Process
  [................................
Warning: No information available for script-copr_be_py.CoprLog's base
         multiprocessing.Process
  [.........................................................................]
Warning: 1 markup error was found while processing docstrings.  Use 
         the verbose switch (-v) to display markup errors.
+ popd

Comment 2 Antonio T. (sagitter) 2014-04-08 17:41:24 UTC
Miroslav, any news ?

Comment 3 Miroslav Suchý 2014-04-09 08:28:59 UTC
Ah sorry for delay.

The documentation is correctly generated. See /usr/share/doc/copr-backend/python-doc/backend* files in copr-backend-doc subpackage.
This is just warning that *executing* of
 import backend
failed. That is because in %build phase it is not yet in correct path.
The same for that warning about ansible. But as I said - it does not stop epydoc from generating correct docs.

For me - more important is :
  Warning: No information available ...
But that is because some classes do not have __docstring__ in code. Again not fatal, because the documentation is generated with list of methods. It just do not have manually description written by human.

Comment 4 Antonio T. (sagitter) 2014-04-09 17:29:15 UTC
- 'copr-backend-doc' is independent of any base package so it must include copies of any license texts.
   http://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Subpackage_Licensing

-  Remove 'make' as BR package.

- /usr/share/doc/copr-backend is properly owned.
- Package building provides file permission settings for non-standard group/user.

- .
> Note: Dirs in package are owned also by: /usr/share/copr(copr-frontend),
> /etc/copr(copr-frontend), /var/lib/copr(copr-frontend)

About above-mentioned, I suppose they are co-owned directories.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Permissions on files are set properly.
  Note: See rpmlint output
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
- Package does not contain duplicates in %files.
  Note: warning: File listed twice: /usr/share/doc/copr-backend
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DuplicateFiles
- All build dependencies are listed in BuildRequires, except for any that are
  listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: make
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
- Large documentation must go in a -doc subpackage. Large could be size (~1MB)
  or number of files.
  Note: Documentation size is 1280000 bytes in 73 files.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "Unknown or generated". 6 files have unknown
     license. Detailed output of licensecheck in /home/sagitter/1077791-copr-
     backend/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/doc/copr-backend
[?]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/copr(copr-frontend),
     /etc/copr(copr-frontend), /var/lib/copr(copr-frontend)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[-]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in copr-
     backend-doc
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Files in /run, var/run and /var/lock uses tmpfiles.d when appropriate
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: copr-backend-1.30-1.fc21.noarch.rpm
          copr-backend-doc-1.30-1.fc21.noarch.rpm
          copr-backend-1.30-1.fc21.src.rpm
copr-backend.noarch: W: only-non-binary-in-usr-lib
copr-backend.noarch: W: non-standard-uid /var/lib/copr/public_html copr
copr-backend.noarch: W: non-standard-gid /var/lib/copr/public_html copr
copr-backend.noarch: W: non-standard-uid /var/log/copr/workers copr
copr-backend.noarch: W: non-standard-gid /var/log/copr/workers copr
copr-backend.noarch: W: non-standard-uid /var/log/copr copr
copr-backend.noarch: W: non-standard-gid /var/log/copr copr
copr-backend.noarch: W: non-standard-uid /var/run/copr-backend copr
copr-backend.noarch: W: non-standard-gid /var/run/copr-backend copr
copr-backend.noarch: W: non-standard-uid /var/lib/copr/public_html/results copr
copr-backend.noarch: W: non-standard-gid /var/lib/copr/public_html/results copr
copr-backend.noarch: E: non-readable /etc/cron.daily/copr-backend 0750L
copr-backend.noarch: E: non-standard-executable-perm /etc/cron.daily/copr-backend 0750L
copr-backend.noarch: E: executable-marked-as-config-file /etc/cron.daily/copr-backend
copr-backend.noarch: W: non-standard-uid /var/lib/copr/jobs copr
copr-backend.noarch: W: non-standard-gid /var/lib/copr/jobs copr
copr-backend.noarch: W: non-standard-gid /etc/copr/copr-be.conf copr
copr-backend.noarch: E: non-readable /etc/copr/copr-be.conf 0640L
copr-backend.noarch: W: no-manual-page-for-binary copr-prune-repo
copr-backend-doc.noarch: W: spelling-error %description -l en_US latests -> latest, latest's, la tests
copr-backend.src: W: invalid-url Source0: copr-backend-1.30.tar.gz
3 packages and 0 specfiles checked; 4 errors, 17 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint copr-backend-doc copr-backend
copr-backend-doc.noarch: W: spelling-error %description -l en_US latests -> latest, latest's, la tests
copr-backend.noarch: W: only-non-binary-in-usr-lib
copr-backend.noarch: W: non-standard-uid /var/lib/copr/public_html copr
copr-backend.noarch: W: non-standard-gid /var/lib/copr/public_html copr
copr-backend.noarch: W: non-standard-uid /var/log/copr/workers copr
copr-backend.noarch: W: non-standard-gid /var/log/copr/workers copr
copr-backend.noarch: W: non-standard-uid /var/log/copr copr
copr-backend.noarch: W: non-standard-gid /var/log/copr copr
copr-backend.noarch: W: non-standard-uid /var/run/copr-backend copr
copr-backend.noarch: W: non-standard-gid /var/run/copr-backend copr
copr-backend.noarch: W: non-standard-uid /var/lib/copr/public_html/results copr
copr-backend.noarch: W: non-standard-gid /var/lib/copr/public_html/results copr
copr-backend.noarch: E: non-readable /etc/cron.daily/copr-backend 0750L
copr-backend.noarch: E: non-standard-executable-perm /etc/cron.daily/copr-backend 0750L
copr-backend.noarch: E: executable-marked-as-config-file /etc/cron.daily/copr-backend
copr-backend.noarch: W: non-standard-uid /var/lib/copr/jobs copr
copr-backend.noarch: W: non-standard-gid /var/lib/copr/jobs copr
copr-backend.noarch: W: non-standard-gid /etc/copr/copr-be.conf copr
copr-backend.noarch: E: non-readable /etc/copr/copr-be.conf 0640L
copr-backend.noarch: W: no-manual-page-for-binary copr-prune-repo
2 packages and 0 specfiles checked; 4 errors, 16 warnings.
# echo 'rpmlint-done:'



Requires
--------
copr-backend-doc (rpmlib, GLIBC filtered):

copr-backend (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/bash
    /usr/bin/python
    /usr/bin/sh
    ansible
    config(copr-backend)
    createrepo_c
    crontabs
    euca2ools
    fedmsg
    gawk
    lighttpd
    logrotate
    mock
    openssh-clients
    python-bunch
    python-daemon
    python-lockfile
    python-requests
    python-setproctitle
    rsync
    systemd
    yum-utils



Provides
--------
copr-backend-doc:
    copr-backend-doc

copr-backend:
    config(copr-backend)
    copr-backend



Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1077791
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 5 Miroslav Suchý 2014-04-09 20:17:43 UTC
Updated:
Spec URL: http://miroslav.suchy.cz/copr/copr-backend.spec
SRPM URL: http://miroslav.suchy.cz/copr/copr-backend-1.31-1.fc20.src.rpm

>- 'copr-backend-doc' is independent of any base package so it must include copies of any license texts.

Fixed.

>-  Remove 'make' as BR package.

Fixed

I also fixed permission of cron.daily file as there was nothing secret.


> - /usr/share/doc/copr-backend is properly owned.
> - Package building provides file permission settings for non-standard group/user.
I am not sure I follow? These are issues?

>> Note: Dirs in package are owned also by: /usr/share/copr(copr-frontend),
>> /etc/copr(copr-frontend), /var/lib/copr(copr-frontend)
>
>About above-mentioned, I suppose they are co-owned directories.

Yes.


>- Package does not contain duplicates in %files.
>  Note: warning: File listed twice: /usr/share/doc/copr-backend
>  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DuplicateFiles
>- Large documentation must go in a -doc subpackage. Large could be size (~1MB)
>  or number of files.
>  Note: Documentation size is 1280000 bytes in 73 files.
>  See: http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation

This is actually bug in rpm. See bug 1078760.

Comment 6 Antonio T. (sagitter) 2014-04-10 12:10:34 UTC
(In reply to Miroslav Suchý from comment #5)
> Updated:
> Spec URL: http://miroslav.suchy.cz/copr/copr-backend.spec
> SRPM URL: http://miroslav.suchy.cz/copr/copr-backend-1.31-1.fc20.src.rpm
> 
> 
> I also fixed permission of cron.daily file as there was nothing secret.
> 
> 
> > - /usr/share/doc/copr-backend is properly owned.
> > - Package building provides file permission settings for non-standard group/user.
> I am not sure I follow? These are issues?
> 

No, since 'copr' is a non-standard group. 

Package approved.

Comment 7 Miroslav Suchý 2014-04-10 12:47:23 UTC
Thanks

Comment 8 Miroslav Suchý 2014-04-10 12:48:35 UTC
New Package SCM Request
=======================
Package Name: copr-backend
Short Description: Backend for Copr
Owners: msuchy
Branches: f19 f20
InitialCC:

Comment 9 Gwyn Ciesla 2014-04-10 13:33:17 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2014-04-10 17:51:56 UTC
copr-backend-1.32-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/copr-backend-1.32-1.fc20

Comment 11 Fedora Update System 2014-04-10 17:51:56 UTC
copr-backend-1.32-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/copr-backend-1.32-1.fc19

Comment 12 Fedora Update System 2014-04-15 15:27:16 UTC
copr-backend-1.32-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 13 Fedora Update System 2014-04-24 07:31:30 UTC
copr-backend-1.32-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 14 Fedora Update System 2014-04-24 07:40:49 UTC
copr-backend-1.32-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.